From 4aa7abec3c47f1683b1d95296a051abe15543424 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 08:04:00 +0200
Subject: [PATCH 14/30] Fix argument in call to slurm_get_plugin_hash_enable

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_auth.c         | 4 ++--
 src/common/slurm_auth.h         | 2 +-
 src/common/slurm_protocol_api.c | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/common/slurm_auth.c b/src/common/slurm_auth.c
index 556da92ad0..bd99b25254 100644
--- a/src/common/slurm_auth.c
+++ b/src/common/slurm_auth.c
@@ -131,12 +131,12 @@ slurm_auth_generic_errstr( int slurm_errno )
         }
 }
 
-extern bool slurm_get_plugin_hash_enable(int index)
+extern bool slurm_get_plugin_hash_enable()
 {
        if (slurm_auth_init(NULL) < 0)
                return true;
 
-       return *(ops[index].hash_enable);
+       return *(ops.hash_enable);
 
 }
 
diff --git a/src/common/slurm_auth.h b/src/common/slurm_auth.h
index d82cdf8775..7297efd203 100644
--- a/src/common/slurm_auth.h
+++ b/src/common/slurm_auth.h
@@ -138,7 +138,7 @@ extern int slurm_auth_fini( void );
  * Check if plugin type corresponding to the authentication
  * plugin index supports hash.
  */
-extern bool slurm_get_plugin_hash_enable(int index);
+extern bool slurm_get_plugin_hash_enable();
 
 /*
  * Static bindings for the global authentication context.
diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 40c07b8e2b..95140eed67 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -931,7 +931,7 @@ static int _check_hash(struct slurm_buf *buffer, header_t *header, slurm_msg_t *
 			   &msg->msg_type, sizeof(msg->msg_type)))
 			rc = SLURM_ERROR;
 	} else if (block_null_hash &&
-		   slurm_get_plugin_hash_enable(msg->auth_index))
+		   slurm_get_plugin_hash_enable())
 		rc = SLURM_ERROR;
 
 	xfree(cred_hash);
-- 
2.35.3


